### Enumeration

# Qmi VoiceCallState

since: 1.14

#### Declaration

    enum Qmi.VoiceCallState

#### Description [src]

State of a call.

Available since: 1.14

#### Members

`QMI_VOICE_CALL_STATE_UNKNOWN`

  Unknown state.

  - Value: `0`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_ORIGINATION`

  Call is being originated.

  - Value: `1`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_INCOMING`

  Incoming call.

  - Value: `2`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_CONVERSATION`

  Call is in progress.

  - Value: `3`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_CC_IN_PROGRESS`

  Call is originating but waiting for call control to complete.

  - Value: `4`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_ALERTING`

  Alerting.

  - Value: `5`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_HOLD`

  On hold.

  - Value: `6`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_WAITING`

  Waiting.

  - Value: `7`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_DISCONNECTING`

  Disconnecting.

  - Value: `8`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_END`

  Call is finished.

  - Value: `9`
  - Available since: 1.14
`QMI_VOICE_CALL_STATE_SETUP`

  3GPP specific. MT call is in setup state.

  - Value: `10`
  - Available since: 1.14

#### Type functions

###### qmi_voice_call_state_get_string

Gets the nickname string for the `QmiVoiceCallState` specified at `val`.

since: 1.14